Summary: GNU libraries and utilities for producing multi-lingual messages.
Name: gettext
Version: 0.10.35
Release: 17C2
Copyright: GPL
Group: Development/Tools
Source: ftp://alpha.gnu.org/pub/gnu/gettext-0.10.35.tar.gz
Patch0: gettext-0.10-misc.patch
Patch1: gettext-0.10.35-jbj.patch
Patch2: gettext-0.10.35-arm.patch
Patch3: gettext-0.10.35-hacks.patch
Patch4: gettext-0.10.35-aclocaldir.patch
Patch5: gettext-cobalt.patch
Buildroot: /var/tmp/gettext-root

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs.  Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings.  Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

If you would like to internationalize or incorporate multi-lingual
messages into programs that you're developing, you should install
gettext.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
#%patch0 -p1 -b .misc
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
aclocal
automake
autoconf
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--enable-shared --with-included-gettext \
	$RPM_ARCH-redhat-linux
make

%install
rm -rf $RPM_BUILD_ROOT

# Fix busted no-emacs install for $lispdir/po-mode.el
make install \
	prefix=$RPM_BUILD_ROOT/usr \
	lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp

pushd $RPM_BUILD_ROOT
rm -f ./usr/info/dir ./usr/include/libintl.h
gzip -9nf ./usr/info/*
strip ./usr/bin/* || :
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/gettext.info.gz /usr/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/gettext.info.gz /usr/info/dir
fi
exit 0

%files
%defattr(-,root,root)
/usr/bin/*
/usr/info/*
/usr/share/gettext
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/aclocal/*
/usr/share/emacs/site-lisp/*

%changelog
* Thu Aug 17 2000 Tim Hockin <thockin@cobalt.com>
- add -E (--escape) and -e (--no-escape) to msgfmt

* Sun Feb 27 2000 Cristian Gafton <gafton@redhat.com>
- add --comments to msghack

* Thu Feb 10 2000 Cristian Gafton <gafton@redhat.com>
- fix bug #9240 - gettextize has the right aclocal patch

* Wed Jan 12 2000 Cristian Gafton <gafton@redhat.com>
- add the --diff and --dummy options

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- add the --missing option to msghack

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack not to merge in fuzzies in the master catalogs

* Thu Aug 26 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to understand --append

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to correctly deal with sorting files

* Thu May 06 1999 Cristian Gafton <gafton@redhat.com>
- msghack updates

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Mon Mar 08 1999 Cristian Gafton <gafton@redhat.com>
- added patch for misc hacks to facilitate rpm translations

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to allow to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- add Emacs po-mode.el files.

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- include the aclocal support files

* Fri Sep  3 1998 Bill Nottingham <notting@redhat.com>
- remove devel package (functionality is in glibc)

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.10.35.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- add gettextize.
- create devel package for libintl.a and libgettext.h.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Nov 02 1997 Cristian Gafton <gafton@redhat.com>
- added info handling
- added misc-patch (skip emacs-lisp modofications)

* Sat Nov 01 1997 Erik Troan <ewt@redhat.com>
- removed locale.aliases as we get it from glibc now
- uses a buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Built against glibc
